# Asterisk Project : Asterisk 13 Application_ForkCDR

Created by wikibot on Aug 08, 2014

# ForkCDR()

### Synopsis

Forks the current Call Data Record for this channel.

### Description

Causes the Call Data Record engine to fork a new CDR starting from the time the application is executed. The forked CDR will be linked to the end of the CDRs associated with the channel.

### Syntax

    ForkCDR([options])

##### Arguments

- `options`
  - `a` - If the channel is answered, set the answer time on the forked CDR to the current time. If this option is not used, the answer time on the forked CDR will be the answer time on the original CDR. If the channel is not answered, this option has no effect.
    Note that this option is implicitly assumed if the `r` option is used.
  - `e` - End (finalize) the original CDR.
  - `r` - Reset the start and answer times on the forked CDR. This will set the start and answer times (if the channel is answered) to be set to the current time.
    Note that this option implicitly assumes the `a` option.
  - `v` - Do not copy CDR variables and attributes from the original CDR to the forked CDR.

### See Also

- Asterisk 13 Function_CDR
- Asterisk 13 Application_NoCDR
- Asterisk 13 Application_ResetCDR

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538